org.apache.lucene.store.instantiated

## Class InstantiatedTermFreqVector

- java.lang.Object
- - org.apache.lucene.store.instantiated.InstantiatedTermFreqVector

- All Implemented Interfaces:
    java.io.Serializable, org.apache.lucene.index.TermFreqVector
  Direct Known Subclasses:
    InstantiatedTermPositionVector

      public class InstantiatedTermFreqVector
      extends java.lang.Object
      implements org.apache.lucene.index.TermFreqVector, java.io.Serializable

  Vector space view of a document in an `InstantiatedIndexReader`.
  See Also:
    `TermFreqVector`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstantiatedTermFreqVector(InstantiatedDocument document, java.lang.String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField()`
    `java.util.List<InstantiatedTermDocumentInformation>` | `getTermDocumentInformations()`
    `int[]` | `getTermFrequencies()`
    `java.lang.String[]` | `getTerms()`
    `int[]` | `indexesOf(java.lang.String[] termNumbers, int start, int len)`
    `int` | `indexOf(java.lang.String termText)`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstantiatedTermFreqVector

          public InstantiatedTermFreqVector(InstantiatedDocument document,
                                            java.lang.String field)

  - ### Method Detail

    - #### getField

          public java.lang.String getField()

      Specified by:
        `getField` in interface `org.apache.lucene.index.TermFreqVector`
      Returns:
        The number of the field this vector is associated with

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### size

          public int size()

      Specified by:
        `size` in interface `org.apache.lucene.index.TermFreqVector`

    - #### getTerms

          public java.lang.String[] getTerms()

      Specified by:
        `getTerms` in interface `org.apache.lucene.index.TermFreqVector`

    - #### getTermFrequencies

          public int[] getTermFrequencies()

      Specified by:
        `getTermFrequencies` in interface `org.apache.lucene.index.TermFreqVector`

    - #### indexOf

          public int indexOf(java.lang.String termText)

      Specified by:
        `indexOf` in interface `org.apache.lucene.index.TermFreqVector`

    - #### indexesOf

          public int[] indexesOf(java.lang.String[] termNumbers,
                                 int start,
                                 int len)

      Specified by:
        `indexesOf` in interface `org.apache.lucene.index.TermFreqVector`

    - #### getTermDocumentInformations

          public java.util.List<InstantiatedTermDocumentInformation> getTermDocumentInformations()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.